Alerted of crash upon logging is, drop down menus don't work



  • Hi,
    I'm running 2.4.2p1 on my own hardware.  It's been running fine for a year or so.  A few days ago I found an error message at login alerting me that there was a crash, and giving me a choice to report it to developers (did that).

    The problem is now drop down menus don't work.  Here's what's in the crash :

    amd64
    11.1-RELEASE-p6
    FreeBSD 11.1-RELEASE-p6 #8 r313908+a5b33c9d1c4(RELENG_2_4): Tue Dec 12 13:51:24 CST 2017    root@buildbot2.netgate.com:/builder/ce-242/tmp/obj/builder/ce-242/tmp/FreeBSD-src/sys/pfSense

    Crash report details:

    PHP Errors:
    [22-Jan-2018 21:29:46 America/Vancouver] PHP Parse error:  syntax error, unexpected 'if' (T_IF) in /usr/local/pkg/pfblockerng/pfblockerng.inc on line 1771

    No FreeBSD crash data found.

    Suggestions welcome :)



  • Hi,

    I can do some magic for you  ;)
    Somehow, I discovered that your error is probably not related to pfSense, but originated from a package that you installed later on.
    So, the most simple way lower the change that something crashes, is using a "pure" pfSense without any third party software. (read : remove all packages and you'll be fine, and if not : far better then now)

    Btw : the support of the package is here : pfSense Forum » pfSense English Support » Packages » pfBlockerNG (Moderator: BBcan177).

    I'm pretty sure that BBcan177 has no access to your crash-dump. You'll have to work this out the old fashioned way : start feeding your posts a lot of details.



  • Thanks Gertjan, I guess I need to find a way to remove this package from CLI.

    EDIT: just to confirm that, after removing the pfblockerng package, all is well again.  :D


  • Moderator

    @new-to-netgate:

    Hi,
    I'm running 2.4.2p1 on my own hardware.  It's been running fine for a year or so.  A few days ago I found an error message at login alerting me that there was a crash, and giving me a choice to report it to developers (did that).

    The problem is now drop down menus don't work.  Here's what's in the crash :

    amd64
    11.1-RELEASE-p6
    FreeBSD 11.1-RELEASE-p6 #8 r313908+a5b33c9d1c4(RELENG_2_4): Tue Dec 12 13:51:24 CST 2017    root@buildbot2.netgate.com:/builder/ce-242/tmp/obj/builder/ce-242/tmp/FreeBSD-src/sys/pfSense

    Crash report details:

    PHP Errors:
    [22-Jan-2018 21:29:46 America/Vancouver] PHP Parse error:  syntax error, unexpected 'if' (T_IF) in /usr/local/pkg/pfblockerng/pfblockerng.inc on line 1771

    No FreeBSD crash data found.

    Suggestions welcome :)

    That line in the code on Line #1771 is for the download of Feeds. I don't see any issues with the code and can only assume that that you had a hard drive failure or a file corruption issue… I would just suggest a reinstall of the package.


Log in to reply